summaryrefslogtreecommitdiffstats
path: root/desktop/scripts/unoinfo.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:06:44 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:06:44 +0000
commited5640d8b587fbcfed7dd7967f3de04b37a76f26 (patch)
tree7a5f7c6c9d02226d7471cb3cc8fbbf631b415303 /desktop/scripts/unoinfo.sh
parentInitial commit. (diff)
downloadlibreoffice-upstream.tar.xz
libreoffice-upstream.zip
Adding upstream version 4:7.4.7.upstream/4%7.4.7upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'desktop/scripts/unoinfo.sh')
-rwxr-xr-xdesktop/scripts/unoinfo.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/desktop/scripts/unoinfo.sh b/desktop/scripts/unoinfo.sh
new file mode 100755
index 000000000..14cba8064
--- /dev/null
+++ b/desktop/scripts/unoinfo.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# This file is part of the LibreOffice project.
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+# This file incorporates work covered by the following license notice:
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed
+# with this work for additional information regarding copyright
+# ownership. The ASF licenses this file to you under the Apache
+# License, Version 2.0 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.apache.org/licenses/LICENSE-2.0 .
+#
+
+set -e
+
+# resolve installation directory
+sd_res="$0"
+while [ -h "$sd_res" ] ; do
+ sd_dirname=$(dirname "$sd_res")
+ cd "$sd_dirname"
+ sd_basename=$(basename "$sd_res")
+ sd_res=$(ls -l "$sd_basename" | sed "s/.*$sd_basename -> //g")
+done
+sd_dirname=$(dirname "$sd_res")
+cd "$sd_dirname"
+sd_prog=$(pwd)
+
+case "$1" in
+c++)
+ printf '%s' "$sd_prog"
+ ;;
+java)
+ printf '0%s\0%s' \
+ "$sd_prog/classes/libreoffice.jar" \
+ "$sd_prog"
+ ;;
+*)
+ exit 1
+ ;;
+esac